Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.layout
Class SplitPaneLayoutData

    java.lang.Object
      nextapp.echo2.app.layout.SplitPaneLayoutData

All Implemented Interfaces:
  java.io.Serializable, LayoutData

    public class SplitPaneLayoutData

extends java.lang.Object
implements LayoutData

A `LayoutData` object used to describe how a `Component` is rendered within a `SplitPane`.

See Also:
  Serialized Form

Field Summary
`static int` | `OVERFLOW_AUTO`
`static int` | `OVERFLOW_HIDDEN`
`static int` | `OVERFLOW_SCROLL`

Constructor Summary
`SplitPaneLayoutData()`

Method Summary
`Alignment` | `getAlignment()` Returns the alignment of the containing pane.
`Color` | `getBackground()` Returns the background color of the containing pane.
`FillImage` | `getBackgroundImage()` Returns the `BackgroundImage` displayed in the containing pane.
`Insets` | `getInsets()` Returns the inset margins of the containing pane.
`Extent` | `getMaximumSize()` Returns the preferred maximum size of the containing pane.
`Extent` | `getMinimumSize()` Returns the preferred minimum size of the containing pane.
`int` | `getOverflow()` Returns the overflow state, describing how the pane will behave when the content is larger than display area.
`void` | `setAlignment(Alignment newValue)` Sets the alignment of the containing pane.
`void` | `setBackground(Color newValue)` Sets the background color of the containing pane.
`void` | `setBackgroundImage(FillImage newValue)` Sets the `BackgroundImage` displayed in the containing pane.
`void` | `setInsets(Insets newValue)` Sets the inset margins of the containing pane.
`void` | `setMaximumSize(Extent newValue)` Sets the preferred maximum size of the containing pane.
`void` | `setMinimumSize(Extent newValue)` Sets the preferred minimum size of the containing pane.
`void` | `setOverflow(int newValue)` Sets the overflow state, describing how the pane will behave when the content is larger than display area.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OVERFLOW_AUTO

    public static final int OVERFLOW_AUTO

See Also:
  Constant Field Values

### OVERFLOW_HIDDEN

    public static final int OVERFLOW_HIDDEN

See Also:
  Constant Field Values

### OVERFLOW_SCROLL

    public static final int OVERFLOW_SCROLL

See Also:
  Constant Field Values

Constructor Detail

### SplitPaneLayoutData

    public SplitPaneLayoutData()

Method Detail

### getAlignment

    public Alignment getAlignment()

  Returns the alignment of the containing pane.

  Returns:
    the alignment

### getBackground

    public Color getBackground()

  Returns the background color of the containing pane.

  Returns:
    the background color

### getBackgroundImage

    public FillImage getBackgroundImage()

  Returns the `BackgroundImage` displayed in the containing pane.

  Returns:
    the background image

### getInsets

    public Insets getInsets()

  Returns the inset margins of the containing pane. This property is not rendered when the `SplitPaneLayoutData` instance is attached to a `Pane` component.

  Returns:
    the inset margins

### getMaximumSize

    public Extent getMaximumSize()

  Returns the preferred maximum size of the containing pane. This property only supports `Extent`s with pixel units.

  Returns:
    the maximum size

### getMinimumSize

    public Extent getMinimumSize()

  Returns the preferred minimum size of the containing pane. This property only supports `Extent`s with pixel units.

  Returns:
    the minimum size

### getOverflow

    public int getOverflow()

  Returns the overflow state, describing how the pane will behave when the content is larger than display area.

  Returns:
    the overflow state, one of the following values:
    - `OVERFLOW_AUTO`: provide scrollbars as necessary
    - `OVERFLOW_HIDDEN`: never display scrollbars, hide overflow content
    - `OVERFLOW_SCROLL`: always display scrollbars

### setAlignment

    public void setAlignment(Alignment newValue)

  Sets the alignment of the containing pane.

  Parameters:
    `newValue` - the new alignment

### setBackground

    public void setBackground(Color newValue)

  Sets the background color of the containing pane.

  Parameters:
    `newValue` - the new background color

### setBackgroundImage

    public void setBackgroundImage(FillImage newValue)

  Sets the `BackgroundImage` displayed in the containing pane.

  Parameters:
    `newValue` - the new `BackgroundImage`

### setInsets

    public void setInsets(Insets newValue)

  Sets the inset margins of the containing pane. This property is not rendered when the `SplitPaneLayoutData` instance is attached to a `Pane` component.

  Parameters:
    `newValue` - the new inset margins

### setMaximumSize

    public void setMaximumSize(Extent newValue)

  Sets the preferred maximum size of the containing pane. This property only supports `Extent`s with pixel units.

  Parameters:
    `newValue` - the new maximum size

### setMinimumSize

    public void setMinimumSize(Extent newValue)

  Sets the preferred minimum size of the containing pane. This property only supports `Extent`s with pixel units.

  Parameters:
    `newValue` - the new minimum size

### setOverflow

    public void setOverflow(int newValue)

  Sets the overflow state, describing how the pane will behave when the content is larger than display area.

  Parameters:
    `newValue` - the overflow state, one of the following values:
    - `OVERFLOW_AUTO`: provide scrollbars as necessary
    - `OVERFLOW_HIDDEN`: never display scrollbars, hide overflow content
    - `OVERFLOW_SCROLL`: always display scrollbars

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD